Notification
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
GET /api/notification
Get a collection of Notification items.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
type |
query | string | No | |
subType |
query | string | No | |
unreadOnly |
query | boolean | No | |
limit |
query | integer (int32) | No | |
offset |
query | integer (int32) | No | |
splitContentView |
query | boolean | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
Response body
[
{
"Id": "00000000-0000-0000-0000-000000000000",
"Type": "string",
"Text": "string",
"PlainText": "string",
"Title": "string",
"ShortTitle": "string",
"Summary": "string",
"WebLink": "string",
"AvatarId": 0,
"InitiatorId": 0,
"InitiatorName": "string",
"InitiatorIsOrganisation": 0,
"SubType": "string",
"GeneratedDate": "2024-01-01T00:00:00Z",
"IsRead": true,
"IsMandatory": true
}
]| Field | Type |
|---|---|
Id | string (uuid) |
Type | string |
Text | string |
PlainText | string |
Title | string |
ShortTitle | string |
Summary | string |
WebLink | string |
AvatarId | integer (int32) |
InitiatorId | integer (int32) |
InitiatorName | string |
InitiatorIsOrganisation | integer (int32) |
SubType | string |
GeneratedDate | string (date-time) |
IsRead | boolean |
IsMandatory | boolean |
GET /api/notification/count
Get the count of unread notifications for the current user.
Responses
| Status | Body |
|---|---|
| 200 | See below |
Response body
{
"Count": 0,
"CountByType": [
{
"Key": "string",
"Count": 0
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CountByType | array of object |
GET /api/notification/detailed
Get a collection of Notification items along with filters to show which types are included.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
type |
query | string | No | |
unreadOnly |
query | boolean | No | |
limit |
query | integer (int32) | No | |
offset |
query | integer (int32) | No | |
splitContentView |
query | boolean | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
Response body
[
{
"Notifications": [
{
"Id": "00000000-0000-0000-0000-000000000000",
"Type": "string",
"Text": "string",
"PlainText": "string",
"Title": "string",
"ShortTitle": "string",
"Summary": "string",
"WebLink": "string",
"AvatarId": 0,
"InitiatorId": 0,
"InitiatorName": "string",
"InitiatorIsOrganisation": 0,
"SubType": "string",
"GeneratedDate": "2024-01-01T00:00:00Z",
"IsRead": true,
"IsMandatory": true
}
],
"FilterOptions": [
{
"TypeName": "string",
"TypeKey": "string",
"NotificationsUrl": "string"
}
]
}
]| Field | Type |
|---|---|
Notifications | array of object |
FilterOptions | array of object |
GET /api/notification/{id}
Get a specific notification item.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Id": "00000000-0000-0000-0000-000000000000",
"Type": "string",
"Text": "string",
"PlainText": "string",
"Title": "string",
"ShortTitle": "string",
"Summary": "string",
"WebLink": "string",
"AvatarId": 0,
"InitiatorId": 0,
"InitiatorName": "string",
"InitiatorIsOrganisation": 0,
"SubType": "string",
"GeneratedDate": "2024-01-01T00:00:00Z",
"IsRead": true,
"IsMandatory": true
}| Field | Type |
|---|---|
Id | string (uuid) |
Type | string |
Text | string |
PlainText | string |
Title | string |
ShortTitle | string |
Summary | string |
WebLink | string |
AvatarId | integer (int32) |
InitiatorId | integer (int32) |
InitiatorName | string |
InitiatorIsOrganisation | integer (int32) |
SubType | string |
GeneratedDate | string (date-time) |
IsRead | boolean |
IsMandatory | boolean |
POST /api/notification/markallasread
Create a markallasread.
Responses
| Status | Body |
|---|---|
| 200 |
PUT /api/notification/markasread
Mark a notifcation as read.
Request body
[
"00000000-0000-0000-0000-000000000000"
]No documented fields.
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Count": 0,
"CountByType": [
{
"Key": "string",
"Count": 0
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CountByType | array of object |
PUT /api/notification/{id}/markasread
Mark a notifcation as read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Count": 0,
"CountByType": [
{
"Key": "string",
"Count": 0
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CountByType | array of object |
PUT /api/notification/{id}/markasunread
Mark a notifcation as unread.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Count": 0,
"CountByType": [
{
"Key": "string",
"Count": 0
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CountByType | array of object |